# Asterisk Project : Asterisk 13 Function_SHA1

Created by wikibot on Aug 08, 2014

# SHA1()

### Synopsis

Computes a SHA1 digest.

### Description

Generate a SHA1 digest via the SHA1 algorythm.

Example: Set(sha1hash=${SHA1(junky)})

Sets the asterisk variable sha1hash to the string `60fa5675b9303eb62f99a9cd47f9f5837d18f9a0` which is known as his hash

### Syntax

    SHA1(data)

##### Arguments

- `data` - Input string

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538